National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2016-1255 Detail

Current Description

The pg_ctlcluster script in postgresql-common package in Debian wheezy before 134wheezy5, in Debian jessie before 165+deb8u2, in Debian unstable before 178, in Ubuntu 12.04 LTS before 129ubuntu1.2, in Ubuntu 14.04 LTS before 154ubuntu1.1, in Ubuntu 16.04 LTS before 173ubuntu0.1, in Ubuntu 17.04 before 179ubuntu0.1, and in Ubuntu 17.10 before 184ubuntu1.1 allows local users to gain root privileges via a symlink attack on a logfile in /var/log/postgresql.

Source:  MITRE      Last Modified:  12/05/2017      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2016-1255
Original release date:
12/05/2017
Last revised:
12/21/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 3.0):
CVSS v3 Base Score:
7.8 High
Vector:
CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H (legend)
Impact Score:
5.9
Exploitability Score:
1.8
CVSS Version 3 Metrics:
Attack Vector (AV):
Local
Attack Complexity (AC):
Low
Privileges Required (PR):
Low
User Interaction (UI):
None
Scope (S):
Unchanged
Confidentiality (C):
High
Integrity (I):
High
Availability (A):
High
CVSS Severity (version 2.0):
CVSS v2 Base Score:
7.2 HIGH
Vector:
(AV:L/AC:L/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
3.9
CVSS Version 2 Metrics:
Access Vector:
Locally exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://www.ubuntu.com/usn/USN-3476-1 Issue Tracking; Third Party Advisory External Source UBUNTU USN-3476-1
http://www.ubuntu.com/usn/USN-3476-2 Issue Tracking; Third Party Advisory External Source UBUNTU USN-3476-2
https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git/commit/?id=c8989206ec360f199400c74f129f7b4cb878c1ee Issue Tracking; Patch; Vendor Advisory External Source CONFIRM https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git/commit/?id=c8989206ec360f199400c74f129f7b4cb878c1ee
https://lists.debian.org/debian-lts-announce/2017/01/msg00002.html Issue Tracking; Vendor Advisory External Source MLIST [debian-lts-announce] 20170101 [SECURITY] [DLA-774-1] postgresql-common security update

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:debian:postgresql-common:1:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:2:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:3:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:4:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:5:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:6:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:7:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:8:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:9:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:10:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:11:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:12:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:13:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:14:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:15:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:16:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:17:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:18:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:19:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:20:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:21:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:22:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:23:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:24:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:25:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:26:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:27:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:28:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:29:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:30:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:31:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:32:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:33:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:34:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:35:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:36:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:37:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:38:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:39:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:40:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:41:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:42:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:43:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:44:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:45:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:46:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:47:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:48:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:49:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:50:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:51:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:52:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:53:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:54:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:55:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:56:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:57:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:58:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:59:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:60:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:61:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:62:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:63:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:64:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:65:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:66:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:67:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:68:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:69:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:70:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:71:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:72:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:73:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:74:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:75:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:76:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:77:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:78:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:79:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:80:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:81:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:82:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:83:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:84:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:85:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:86:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:87:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:88:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:89:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:90:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:91:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:92:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:93:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:94:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:95:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:96:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:97:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:98:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:99:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:100:*:*:*:*:*:*:*
cpe:2.3:a:debian:postgresql-common:101:*:*:*:*:*:*:*
Configuration 2
Configuration 3
Configuration 4
Configuration 5
Configuration 6
Configuration 7
Showing 100 of 339 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 1 change record found - show changes